Blob Blame History Raw
diff -durN tecnoballz-0.92.orig/configure tecnoballz-0.92/configure
--- tecnoballz-0.92.orig/configure	2007-11-19 14:45:33.000000000 +0100
+++ tecnoballz-0.92/configure	2007-12-16 16:10:54.000000000 +0100
@@ -5019,81 +5019,6 @@
 
 fi
 
-{ echo "$as_me:$LINENO: checking for SMPEG_play in -lsmpeg" >&5
-echo $ECHO_N "checking for SMPEG_play in -lsmpeg... $ECHO_C" >&6; }
-if test "${ac_cv_lib_smpeg_SMPEG_play+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lsmpeg  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char SMPEG_play ();
-int
-main ()
-{
-return SMPEG_play ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_smpeg_SMPEG_play=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_smpeg_SMPEG_play=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_smpeg_SMPEG_play" >&5
-echo "${ECHO_T}$ac_cv_lib_smpeg_SMPEG_play" >&6; }
-if test $ac_cv_lib_smpeg_SMPEG_play = yes; then
-
-	MM_LIBS="${MM_LIBS} -lsmpeg"
-
-else
-
-	{ { echo "$as_me:$LINENO: error: Could not find the smpeg lib : -lsmpeg" >&5
-echo "$as_me: error: Could not find the smpeg lib : -lsmpeg" >&2;}
-   { (exit 1); exit 1; }; }
-
-fi
-
-
-
 { echo "$as_me:$LINENO: checking for Player_Stop in -lmikmod" >&5
 echo $ECHO_N "checking for Player_Stop in -lmikmod... $ECHO_C" >&6; }
 if test "${ac_cv_lib_mikmod_Player_Stop+set}" = set; then
diff -durN tecnoballz-0.92.orig/configure.ac tecnoballz-0.92/configure.ac
--- tecnoballz-0.92.orig/configure.ac	2007-11-19 13:44:15.000000000 +0100
+++ tecnoballz-0.92/configure.ac	2007-12-16 16:09:30.000000000 +0100
@@ -60,11 +60,6 @@
 ],[
 	AC_MSG_ERROR(Could not find the ogg lib : -logg)
 ])
-AC_CHECK_LIB(smpeg, SMPEG_play, [
-	MM_LIBS="${MM_LIBS} -lsmpeg"
-],[
-	AC_MSG_ERROR(Could not find the smpeg lib : -lsmpeg)
-])
 AC_SUBST(MM_LIBS)
 
 AC_CHECK_LIB(mikmod, Player_Stop, [